Package com.macrofocus.high_d.treetable.swing

# Class TreeTableModelAdapter

java.lang.Object
javax.swing.table.AbstractTableModel
com.macrofocus.high_d.treetable.swing.TreeTableModelAdapter

All Implemented Interfaces:
  `Serializable`, `TableModel`

public class TreeTableModelAdapter extends AbstractTableModel
Created by luc on 28/05/15.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class javax.swing.table.AbstractTableModel

  `listenerList`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TreeTableModelAdapter(AbstractTreeTableModel treeTableModel, JTree tree)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<?>`
  `getColumnClass(int column)`
  `int`
  `getColumnCount()`
  `String`
  `getColumnName(int column)`
  `int`
  `getRowCount()`
  `Object`
  `getValueAt(int row, int column)`
  `boolean`
  `isCellEditable(int row, int column)`
  `protected Object`
  `nodeForRow(int row)`
  `void`
  `setValueAt(Object value, int row, int column)`

  ### Methods inherited from class javax.swing.table.AbstractTableModel

  `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TreeTableModelAdapter

    public TreeTableModelAdapter(AbstractTreeTableModel treeTableModel, JTree tree)

- ## Method Details

  - ### getColumnCount

    public int getColumnCount()

  - ### getColumnName

    public String getColumnName(int column)
    Specified by:
      `getColumnName` in interface `TableModel`
    Overrides:
      `getColumnName` in class `AbstractTableModel`

  - ### getColumnClass

    public Class<?> getColumnClass(int column)
    Specified by:
      `getColumnClass` in interface `TableModel`
    Overrides:
      `getColumnClass` in class `AbstractTableModel`

  - ### getRowCount

    public int getRowCount()

  - ### nodeForRow

    protected Object nodeForRow(int row)

  - ### getValueAt

    public Object getValueAt(int row, int column)

  - ### isCellEditable

    public boolean isCellEditable(int row, int column)
    Specified by:
      `isCellEditable` in interface `TableModel`
    Overrides:
      `isCellEditable` in class `AbstractTableModel`

  - ### setValueAt

    public void setValueAt(Object value, int row, int column)
    Specified by:
      `setValueAt` in interface `TableModel`
    Overrides:
      `setValueAt` in class `AbstractTableModel`